using Mindmagma.Curses;

namespace ANSI_Fahrplan.Screens;

public abstract class Screen {
	private nint _rootWindow;
	public nint RootWindow { get { return _rootWindow; }}

	public Screen (nint rootWindow) {
		_rootWindow = rootWindow;

		PrepareWindow ();
	}

	private void PrepareWindow () {
		NCurses.NoEcho ();
        NCurses.CBreak ();
        NCurses.SetCursor (0);

		//NCurses.ClearWindow (RootWindow);
		NCurses.WindowMove (RootWindow, 0, 0);
	}

	public abstract void Show ();

	public abstract void Hide ();
}